Facebook Developers
DocsToolsSupportNewsApps
Log In
  • Social Plugins
  • Facebook Login
  • Open Graph
  • Facebook APIs
    • Graph API
    • FQL
    • Open Graph
    • Dialogs
    • Chat
    • Internationalization
    • Ads
  • Games
  • Media
  • Payments
  • App Center
  • Promote Your App
  • iOS
  • Android
  • Web
  • Technology Partners
  • Objects
    • Achievement(Instance)
    • Album
    • App and Game Groups
    • Application
    • Checkin
    • Comment
    • Data Access - Login, Privacy and Permissions
    • Domain
    • Errors
    • Event
    • Field Expansion
    • FriendList
    • Group
    • Insights
    • Link
    • Message
    • Note
    • Offer
    • Order
    • Page
    • Pagination
    • Payment
    • Photo
    • Pictures
    • Post
    • Privacy Parameter
    • Publishing
    • Question
    • QuestionOption
    • Realtime Updates
    • Review
    • Search
    • Selecting Results
    • Status message
    • Thread
    • User
    • Video

Dates

Facebook APIs › Graph API › Dates

Return Values

All date fields are returned as ISO-8601 formatted strings.

For example, asking for the creation_time on object 19292868552_522414651110169 returns this:

{
  "created_time": "2012-12-15T14:00:02+0000",
  "id": "19292868552_522414651110169"
}

Different Formats

You can optionally override the date format by specifying a date_format query parameter. The accepted format strings are identical to those accepted by the php date function.

For example, to retrieve the same ID as above but in Unix time-formatted dates you can add date_format=U:

{
  "created_time": 1355580002,
  "id": "19292868552_522414651110169"
}
Updated about 5 months ago
Facebook © 2013 · English (US)
AboutAdvertisingCareersPlatform PoliciesPrivacy Policy